Doctrine.ORM - Bug # 31212

Status: Rejected Priority: Should have
Author: Jordy de Jong Category:

Created: 2011-10-24 Assigned To: Karsten Dambekalns
Updated: 2012-06-21 Due date:

Subiject: incorrect parse method doctrine yaml driver

Description

Doctrine/Classes/ORM/Mapping/Driver/YamiIDriver.php contains the following code:

\Symfony\Component\Yaml\Yaml::parse($file);

the Symfony YAML parser doesn't have a "parse" method, but a "load" method

Related issues:
related to Symfony.Component.Yaml - Bug # 31289: Yaml component is outdated Resolved 2011-10-25

History

#1 - 2011-10-25 13:00 - Karsten Dambekalns

- Project changed from TYPOS3 Flow Base Distribution to Doctrine 2
- Status changed from New to Needs Feedback

- Assigned To set to Karsten Dambekalns

Under what circumstances does this lead to an error for you? Out of the box we are not using the YAML driver of Doctrine 2 at all...

#2 - 2011-10-25 13:08 - Jordy de Jong

Karsten Dambekalns wrote:

Under what circumstances does this lead to an error for you? Out of the box we are not using the YAML driver of Doctrine 2 at all...

I'm using the Generic Persistence with my own backend, in which (in certain circumstances) | manually call Doctrine and the Yaml Driver

this is probably not a supported way to use FLOWS3, but either way this seemed like a (easy to fix) bug, in my opinion

you can close this if you don't agree, of course

#3 - 2011-10-25 13:17 - Karsten Dambekalns

- Category set to 1042

- Status changed from Needs Feedback to On Hold

Thanks Jordy, your usecase is fine, | was just wondering. :)

Please keep an eye on http://www.doctrine-project.org/jira/browse/DDC-1453 which | created.

2015-08-04 1/2



http://www.doctrine-project.org/jira/browse/DDC-1453

#4 - 2011-10-25 18:33 - Karsten Dambekalns
- Status changed from On Hold to Rejected

We are in fact using an outdated version of the Yaml parser.

#5 - 2012-06-21 12:28 - Karsten Dambekalns
- Project changed from Doctrine 2 to Doctrine. ORM
- Category deleted (1042)
